Bug 449235

Summary: nfs-utils-1.1.1-2.fc8 causes segmentation fault
Product: [Fedora] Fedora Reporter: Otto <o2to2f>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:33:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Otto 2008-05-31 15:26:28 EDT
After last Fedora 8 yum update, I can't mount a nfs file system anymore.

# mount.nfs 192.168.0.161:/home /mnt/arom -fv
mount.nfs: trying 192.168.0.161 prog 100003 vers 3 prot UDP port 2049
mount.nfs: trying 192.168.0.161 prog 100005 vers 3 prot UDP port 1025
mount.nfs: trying 192.168.0.161 prog 100005 vers 3 prot TCP port 1024
mount.nfs: trying 192.168.0.161 prog 100005 vers 1 prot UDP port 1025
Segmentation fault

At /var/log/messages:
kernel: mount.nfs[6278]: segfault at 00000004 eip b7f5021f esp bf8cc120 error 4

After downgrade to nfs-utils-1.1.0-6.fc8, it returns working.

There's something wrong with nfs-utils-1.1.1-2.fc8
Comment 1 Steve Dickson 2008-06-03 07:28:51 EDT
Is SELinux enabled?
Comment 2 Otto 2008-06-03 08:00:49 EDT
No, it's not.

$ cat /etc/selinux/config
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - SELinux is fully disabled.
SELINUX=disabled
# SELINUXTYPE= type of policy in use. Possible values are:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted

# SETLOCALDEFS= Check local definition changes
SETLOCALDEFS=0
Comment 3 Steve Dickson 2008-06-04 11:02:48 EDT
Could please install the nfs-utils-debuginfo package at:

http://koji.fedoraproject.org/packages/nfs-utils/1.1.1/2.fc8/i386/nfs-utils-debuginfo-1.1.1-2.fc8.i386.rpm

then rerun the command... This should give more explicit output of
where the problem is occurring... 
Comment 4 Otto 2008-06-06 19:36:39 EDT
There's something wrong with nfs-utils-debuginfo package, I can't run it.

# rpm -e nfs-utils-1.1.1-2.fc8
# rpm -ivh nfs-utils-debuginfo-1.1.1-2.fc8.i386.rpm
A preparar...               ########################################### [100%]
   1:nfs-utils-debuginfo    ########################################### [100%]

# mount.nfs.debug  192.168.0.161:/home /mnt/arom/ -fv
-bash: mount.nfs.debug: command not found

# rpm -ql nfs-utils-debuginfo|grep bin
/usr/lib/debug/sbin
/usr/lib/debug/sbin/mount.nfs.debug
/usr/lib/debug/sbin/mount.nfs4.debug
/usr/lib/debug/sbin/rpc.statd.debug
/usr/lib/debug/sbin/umount.nfs.debug
/usr/lib/debug/sbin/umount.nfs4.debug
/usr/lib/debug/usr/sbin
/usr/lib/debug/usr/sbin/exportfs.debug
/usr/lib/debug/usr/sbin/gss_clnt_send_err.debug
/usr/lib/debug/usr/sbin/nfsstat.debug
/usr/lib/debug/usr/sbin/rpc.gssd.debug
/usr/lib/debug/usr/sbin/rpc.idmapd.debug
/usr/lib/debug/usr/sbin/rpc.mountd.debug
/usr/lib/debug/usr/sbin/rpc.nfsd.debug
/usr/lib/debug/usr/sbin/rpc.svcgssd.debug
/usr/lib/debug/usr/sbin/showmount.debug
/usr/lib/debug/usr/sbin/sm-notify.debug

# ls -l /usr/lib/debug/sbin/mount.nfs.debug
-rwx--x--x 1 root root 165984 2008-03-06 16:28 /usr/lib/debug/sbin/mount.nfs.debug

# /usr/lib/debug/sbin/mount.nfs.debug 192.168.0.161:/home /mnt/arom/ -fv
-bash: /usr/lib/debug/sbin/mount.nfs.debug: : bad ELF interpreter: Arquivo ou
diretório não encontrado (file or dir not found)

# /usr/lib/debug/sbin/mount.nfs.debug
-bash: /usr/lib/debug/sbin/mount.nfs.debug: : bad ELF interpreter: Arquivo ou
diretório não encontrado (file or dir not found)

Comment 5 Otto 2008-06-06 20:07:20 EDT
I tried with the two packages together too.

# rpm -e nfs-utils-debuginfo-1.1.1-2.fc8

[root@localhost nfs-utils]# rpm -ivh nfs-utils-1.1.1-2.fc8.i386.rpm
A preparar...               ########################################### [100%]
   1:nfs-utils              ########################################### [100%]

[root@localhost nfs-utils]# rpm -ivh nfs-utils-debuginfo-1.1.1-2.fc8.i386.rpm
A preparar...               ########################################### [100%]
   1:nfs-utils-debuginfo    ########################################### [100%]

[root@localhost nfs-utils]# mount.nfs 192.168.0.161:/home /mnt/arom -fv
mount.nfs: trying 192.168.0.161 prog 100003 vers 3 prot UDP port 2049
mount.nfs: trying 192.168.0.161 prog 100005 vers 3 prot UDP port 1025
mount.nfs: trying 192.168.0.161 prog 100005 vers 3 prot TCP port 1024
mount.nfs: trying 192.168.0.161 prog 100005 vers 1 prot UDP port 1025
Segmentation fault

# /usr/lib/debug/sbin/mount.nfs.debug 192.168.0.161:/home /mnt/arom -fv
-bash: /usr/lib/debug/sbin/mount.nfs.debug: : bad ELF interpreter: Arquivo ou
diretório não encontrado (file or dir not found)


Where's the more explicit output?  Am I doing something wrong?
Comment 6 Steve Dickson 2008-06-10 08:23:54 EDT
Try

gdb /sbin/mount.nfs
gdb> r 92.168.0.161:/home /mnt/arom -fv

Comment 7 Otto 2008-06-10 19:28:25 EDT
# gdb /sbin/mount.nfs
GNU gdb Red Hat Linux (6.6-45.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) r 192.168.0.161:/home /mnt/arom -fv
Starting program: /sbin/mount.nfs 192.168.0.161:/home /mnt/arom -fv
mount.nfs: trying 192.168.0.161 prog 100003 vers 3 prot UDP port 2049
mount.nfs: trying 192.168.0.161 prog 100005 vers 3 prot UDP port 1025
mount.nfs: trying 192.168.0.161 prog 100005 vers 3 prot TCP port 1024
mount.nfs: trying 192.168.0.161 prog 100005 vers 1 prot UDP port 1025

Program received signal SIGSEGV, Segmentation fault.
0xb7f8421f in nfsmount (spec=0xbfa8ea13 "192.168.0.161:/home", node=0xb9900008
"/mnt/arom", flags=<value optimized out>,
    extra_opts=0xbfa8dad4, fake=1, running_bg=0) at nfsmount.c:755
755                             if (! (data.flags & NFS_MOUNT_SECFLAVOUR) &&
Missing separate debuginfos, use: debuginfo-install glibc.i686
(gdb)                                                             
Comment 8 Steve Dickson 2008-06-27 11:04:33 EDT
Is this still happening? If so would it be possible to upgrade to the F9
since the mounting code has been completely reworked so there is a very
good possibility that this problem no longer exists.
Comment 9 Bug Zapper 2008-11-26 05:48:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:33:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.